Subject: Re: [PATCH]Enabling Auto poweron after power is restored.

From: Manish Ahuja <[email-masked]>
Date: Sun, 24 Dec 2006 10:56:41 -0600

Okay,

Will post the new patch in a few hours.

was out sick and on vacation so didnt get a chance to do the needful.

-M

Paul Mackerras wrote:
> Manish Ahuja writes:
>
>   
>> During power outages, the ups notifies the system for a shutdown. In the 
>> current setup, it isn't possible to power on when power is restored. 
>> This patch fixes the issue by calling the right ibm,power-off-ups token 
>> during such events. It also adds a proc interface so that rc.powerfail 
>> can parse the epow events and modify the power-off behavior accordingly 
>> to enable the right token to be called.
>>     
>
> With this patch, the kernel won't build if CONFIG_PPC_RTAS=y and
> CONFIG_RTAS_PROC=n.  Please move the definition of rtas_poweron_auto
> from rtas-proc.c to rtas.c so that this (admittedly somewhat strange)
> config will build.
>
> Thanks,
> Paul.
>